# -*- encoding: utf-8 -*-
# stub: puppet_forge 5.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "puppet_forge".freeze
  s.version = "5.0.3".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Puppet Labs".freeze]
  s.date = "2024-06-05"
  s.description = "Tools that can be used to access Forge API information on Modules, Users, and Releases. As well as download, unpack, and install Releases to a directory.".freeze
  s.email = ["forge-team+api@puppetlabs.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "CODEOWNERS".freeze, "Gemfile".freeze, "History.md".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "lib".freeze, "lib/puppet_forge".freeze, "lib/puppet_forge.rb".freeze, "lib/puppet_forge/connection".freeze, "lib/puppet_forge/connection.rb".freeze, "lib/puppet_forge/connection/connection_failure.rb".freeze, "lib/puppet_forge/error.rb".freeze, "lib/puppet_forge/lazy_accessors.rb".freeze, "lib/puppet_forge/lazy_relations.rb".freeze, "lib/puppet_forge/lru_cache.rb".freeze, "lib/puppet_forge/tar".freeze, "lib/puppet_forge/tar.rb".freeze, "lib/puppet_forge/tar/mini.rb".freeze, "lib/puppet_forge/unpacker.rb".freeze, "lib/puppet_forge/util.rb".freeze, "lib/puppet_forge/v3".freeze, "lib/puppet_forge/v3.rb".freeze, "lib/puppet_forge/v3/base".freeze, "lib/puppet_forge/v3/base.rb".freeze, "lib/puppet_forge/v3/base/paginated_collection.rb".freeze, "lib/puppet_forge/v3/metadata.rb".freeze, "lib/puppet_forge/v3/module.rb".freeze, "lib/puppet_forge/v3/release.rb".freeze, "lib/puppet_forge/v3/user.rb".freeze, "lib/puppet_forge/version.rb".freeze, "puppet_forge.gemspec".freeze, "spec".freeze, "spec/fixtures".freeze, "spec/fixtures/uri".freeze, "spec/fixtures/uri/prefix".freeze, "spec/fixtures/uri/prefix/v3".freeze, "spec/fixtures/uri/prefix/v3/bases".freeze, "spec/fixtures/uri/prefix/v3/bases/puppet.headers".freeze, "spec/fixtures/uri/prefix/v3/bases/puppet.json".freeze, "spec/fixtures/v3".freeze, "spec/fixtures/v3/bases".freeze, "spec/fixtures/v3/bases/puppet.headers".freeze, "spec/fixtures/v3/bases/puppet.json".freeze, "spec/fixtures/v3/files".freeze, "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.headers".freeze, "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.json".freeze, "spec/fixtures/v3/modules".freeze, "spec/fixtures/v3/modules.headers".freeze, "spec/fixtures/v3/modules.json".freeze, "spec/fixtures/v3/modules/puppetlabs-apache.headers".freeze, "spec/fixtures/v3/modules/puppetlabs-apache.json".freeze, "spec/fixtures/v3/modules__owner=puppetlabs.headers".freeze, "spec/fixtures/v3/modules__owner=puppetlabs.json".freeze, "spec/fixtures/v3/modules__query=apache.headers".freeze, "spec/fixtures/v3/modules__query=apache.json".freeze, "spec/fixtures/v3/releases".freeze, "spec/fixtures/v3/releases.headers".freeze, "spec/fixtures/v3/releases.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.json".freeze, "spec/fixtures/v3/releases__module=puppetlabs-apache.headers".freeze, "spec/fixtures/v3/releases__module=puppetlabs-apache.json".freeze, "spec/fixtures/v3/users".freeze, "spec/fixtures/v3/users/puppetlabs.headers".freeze, "spec/fixtures/v3/users/puppetlabs.json".freeze, "spec/spec_helper.rb".freeze, "spec/tmp".freeze, "spec/tmp/.gitkeep".freeze, "spec/unit".freeze, "spec/unit/forge".freeze, "spec/unit/forge/connection".freeze, "spec/unit/forge/connection/connection_failure_spec.rb".freeze, "spec/unit/forge/connection_spec.rb".freeze, "spec/unit/forge/lazy_accessors_spec.rb".freeze, "spec/unit/forge/lazy_relations_spec.rb".freeze, "spec/unit/forge/lru_cache_spec.rb".freeze, "spec/unit/forge/tar".freeze, "spec/unit/forge/tar/mini_spec.rb".freeze, "spec/unit/forge/tar_spec.rb".freeze, "spec/unit/forge/unpacker_spec.rb".freeze, "spec/unit/forge/util_spec.rb".freeze, "spec/unit/forge/v3".freeze, "spec/unit/forge/v3/base".freeze, "spec/unit/forge/v3/base/paginated_collection_spec.rb".freeze, "spec/unit/forge/v3/base_spec.rb".freeze, "spec/unit/forge/v3/metadata_spec.rb".freeze, "spec/unit/forge/v3/module_spec.rb".freeze, "spec/unit/forge/v3/release_spec.rb".freeze, "spec/unit/puppet_forge_spec.rb".freeze]
  s.homepage = "https://github.com/puppetlabs/forge-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.4.22".freeze
  s.summary = "Access the Puppet Forge API from Ruby for resource information and to download releases.".freeze
  s.test_files = ["spec/fixtures".freeze, "spec/fixtures/uri".freeze, "spec/fixtures/uri/prefix".freeze, "spec/fixtures/uri/prefix/v3".freeze, "spec/fixtures/uri/prefix/v3/bases".freeze, "spec/fixtures/uri/prefix/v3/bases/puppet.headers".freeze, "spec/fixtures/uri/prefix/v3/bases/puppet.json".freeze, "spec/fixtures/v3".freeze, "spec/fixtures/v3/bases".freeze, "spec/fixtures/v3/bases/puppet.headers".freeze, "spec/fixtures/v3/bases/puppet.json".freeze, "spec/fixtures/v3/files".freeze, "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.headers".freeze, "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.json".freeze, "spec/fixtures/v3/modules".freeze, "spec/fixtures/v3/modules.headers".freeze, "spec/fixtures/v3/modules.json".freeze, "spec/fixtures/v3/modules/puppetlabs-apache.headers".freeze, "spec/fixtures/v3/modules/puppetlabs-apache.json".freeze, "spec/fixtures/v3/modules__owner=puppetlabs.headers".freeze, "spec/fixtures/v3/modules__owner=puppetlabs.json".freeze, "spec/fixtures/v3/modules__query=apache.headers".freeze, "spec/fixtures/v3/modules__query=apache.json".freeze, "spec/fixtures/v3/releases".freeze, "spec/fixtures/v3/releases.headers".freeze, "spec/fixtures/v3/releases.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.json".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.headers".freeze, "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.json".freeze, "spec/fixtures/v3/releases__module=puppetlabs-apache.headers".freeze, "spec/fixtures/v3/releases__module=puppetlabs-apache.json".freeze, "spec/fixtures/v3/users".freeze, "spec/fixtures/v3/users/puppetlabs.headers".freeze, "spec/fixtures/v3/users/puppetlabs.json".freeze, "spec/spec_helper.rb".freeze, "spec/tmp".freeze, "spec/tmp/.gitkeep".freeze, "spec/unit".freeze, "spec/unit/forge".freeze, "spec/unit/forge/connection".freeze, "spec/unit/forge/connection/connection_failure_spec.rb".freeze, "spec/unit/forge/connection_spec.rb".freeze, "spec/unit/forge/lazy_accessors_spec.rb".freeze, "spec/unit/forge/lazy_relations_spec.rb".freeze, "spec/unit/forge/lru_cache_spec.rb".freeze, "spec/unit/forge/tar".freeze, "spec/unit/forge/tar/mini_spec.rb".freeze, "spec/unit/forge/tar_spec.rb".freeze, "spec/unit/forge/unpacker_spec.rb".freeze, "spec/unit/forge/util_spec.rb".freeze, "spec/unit/forge/v3".freeze, "spec/unit/forge/v3/base".freeze, "spec/unit/forge/v3/base/paginated_collection_spec.rb".freeze, "spec/unit/forge/v3/base_spec.rb".freeze, "spec/unit/forge/v3/metadata_spec.rb".freeze, "spec/unit/forge/v3/module_spec.rb".freeze, "spec/unit/forge/v3/release_spec.rb".freeze, "spec/unit/puppet_forge_spec.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<faraday>.freeze, ["~> 2.0".freeze])
  s.add_runtime_dependency(%q<faraday-follow_redirects>.freeze, ["~> 0.3.0".freeze])
  s.add_runtime_dependency(%q<semantic_puppet>.freeze, ["~> 1.0".freeze])
  s.add_runtime_dependency(%q<minitar>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rake>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<cane>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<yard>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<redcarpet>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0".freeze])
end
